Bug 232613 - Review Request: perl-Data-Password - Perl extension for assesing password quality
Summary: Review Request: perl-Data-Password - Perl extension for assesing password qua...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:18 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 10:11:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:18:32 UTC
Spec URL: http://home.bawue.de/~ixs/perl-Data-Password/perl-Data-Password.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Data-Password/perl-Data-Password-1.07-1.src.rpm
Description:
This modules checks potential passwords for crackability. It checks that
the password is in the appropriate length, that it has enough character
groups, that it does not contain the same chars repeatedly or ascending or
descending characters, or charcters close to each other in the keyboard. It
will also attempt to search the ispell word file for existance of whole
words.

Comment 1 Parag AN(पराग) 2007-03-20 05:52:43 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
eed0349f781eede736b3c12225a86fd0  Data-Password-1.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/IsBadPassword...........ok
t/IsBadPasswordForUNIX....ok
All tests successful.
Files=2, Tests=26,  0 wallclock secs ( 0.07 cusr +  0.01 csys =  0.08 CPU)

+ Provides: perl(Data::Password) = 1.07

APPROVED.

Comment 2 Andreas Thienemann 2007-03-22 09:56:21 UTC
Thanks for this and the other reviews.

New Package CVS Request
=======================
Package Name: perl-Data-Password
Short Description: Perl extension for assesing password quality
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 10:11:32 UTC
Thanks for the review. Built for 5, 6 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.